Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci
Class Blob

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Blob

public final class Blob
extends java.lang.Object
implements java.sql.Blob, weblogic.jdbc.common.OracleLobCloser, weblogic.jdbc.common.OracleBlob

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Blob(weblogic.db.oci.OciCursor cur, int pos, weblogic.db.oci.OciValue value, Connection con)` Deprecated.

Method Summary
`java.io.InputStream` | `getBinaryStream()` Deprecated.
`byte[]` | `getBytes(long position, int length)` Deprecated.
`long` | `length()` Deprecated.
`long` | `position(java.sql.Blob pattern, long start)` Deprecated.
`long` | `position(byte[] pattern, long start)` Deprecated.
`java.io.OutputStream` | `setBinaryStream(long pos)` Deprecated.
`int` | `setBytes(long pos, byte[] bytes)` Deprecated.
`int` | `setBytes(long pos, byte[] bytes, int offset, int len)` Deprecated.
`void` | `truncate(long len)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Blob

    public Blob(weblogic.db.oci.OciCursor cur,
                int pos,
                weblogic.db.oci.OciValue value,
                Connection con)
         throws java.sql.SQLException

  Deprecated.

Method Detail

### getBinaryStream

    public java.io.InputStream getBinaryStream()
                                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBinaryStream in interface java.sql.Blob

### getBytes

    public byte[] getBytes(long position,
                           int length)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getBytes in interface java.sql.Blob

### length

    public long length()
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    length in interface java.sql.Blob

### position

    public long position(java.sql.Blob pattern,
                         long start)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    position in interface java.sql.Blob

### position

    public long position(byte[] pattern,
                         long start)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    position in interface java.sql.Blob

### setBinaryStream

    public java.io.OutputStream setBinaryStream(long pos)
                                         throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBinaryStream in interface java.sql.Blob

### truncate

    public void truncate(long len)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    truncate in interface java.sql.Blob

### setBytes

    public int setBytes(long pos,
                        byte[] bytes)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBytes in interface java.sql.Blob

### setBytes

    public int setBytes(long pos,
                        byte[] bytes,
                        int offset,
                        int len)
                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setBytes in interface java.sql.Blob

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD